Bug 188001 - Can't rebuild coreutils without warnings on RHEL3
Can't rebuild coreutils without warnings on RHEL3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2006-04-05 06:18 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-04-05 06:18:03 EDT
coreutils-4.5.3-28.1

The BuildRequires list automake:
BuildRequires: perl, autoconf, automake, libattr-devel, libacl-devel

And use automake-1.7 in the .spec:
aclocal-1.7 -I m4 || aclocal -I m4
automake-1.7 --copy --force || automake --copy --force

However, the current version of automake on RHEL3 is automake-1.6:
$ rpm -q automake
automake-1.6.3-5

Using automake-1.6 instead works fine.
Comment 1 Tim Waugh 2006-05-04 08:10:10 EDT
Oops.  Should be changed to automake-1.6.

Proposing for RHEL3 U9.
Comment 2 Tim Waugh 2006-08-09 07:19:01 EDT
Fixed in CVS.
Comment 8 Red Hat Bugzilla 2007-06-11 14:54:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0474.html

Note You need to log in before you can comment on or make changes to this bug.